# GenEthic 1.1 configuration file
#
# All the keywords should be understandable
# if not, tell me ;)

# CTCP Finger reply
# no reply if empty
FINGER:Download me @ www.genethic.ch

# CTCP VERSION reply, please dont change, but if you really want to, change it ;p
#  no reply if empty
VERSION:GenEthic v1.1.0 by Pascal Gloor(sPALe)

# CTCP GENDER reply, just for fun CTCP reply
GENDER:We're all gay!

# IP Address of the IRC Server
CONN_DST_IP:192.168.1.1

# MY Server name, MUST be the EXACT match (no case), like geneva.ch.eu.undernet.org
SERVER_NAME:my.irc.server.foo.bar

# TCP Port of the IRC Server
CONN_DST_PORT:6667

# Source Address you want to use (for so called vhosts) :-P
CONN_SRC_IP:192.168.1.2

# Must be the unixuser the bot is using (EXACT match)
USER_IDENT:myident

# IRC RealName
USER_RNAME:GenEthic v1.1.0, download me @ www.genethic.ch

# IF you need a password to connect to the IRC Server
# (I line password)
USER_PASS:MyIlinePassword

# Multiple nicknames, in case 1st is already used, 2nd is used, etc...
NICKS:mynick1 _mynick anothernick somemore

# If you want to bot login into CService
# this option is mandatory if you want to VERIFY users joining
X_AUTH:TRUE

# Nickname of the CService bot
X_NICK:X

# Fullhost to be able to send the 'login' command
X_HOST:x@channels.undernet.org

# CService username
X_USER:myXusername

# CService password
X_PASS:myXpassword

# OPER Username
O_USER:myOlineUsername

# OPER Password
O_PASS:myOlinePassword

# Channel when the bot lives, MUST be a local channel!
# The bot have NOT been designed to run on a global channel!
CHAN_NAME:&localchannel

# If you want to bot keeping the channel modes
CHAN_KEEP_MODES:TRUE

# Channel modes you  want to set, like +int-m
# Channel should be in +i, and do NOT set a +k on it.
CHAN_MODES:+intsm-p

# Is this channel OPER only?
# If not OPER only, bot NOTICE will automaticly be sent to OPS only.
# and non-OPER OPS will be DEOPED.
CHAN_OPER_ONLY:TRUE

# Automaticly invite OPERs when they /oper
CHAN_OPER_INV:TRUE

# Action to take when a non OPER joins. KILL or KICK
CHAN_OPER_ACTION:KICK

# Reason of action
CHAN_OPER_ACTION_REASON:You dont have the right to JOIN this channel!

# Send NOTICE to channel ops only
OPS_INFO_ONLY:TRUE

# mysql Dbase name, we assume the user has read-write access to that DB
# with a blank password!
# you have to create a table using that command:
# create table users ( nick varchar(10), user varchar(255), host varchar(255), ip varchar(15), idle int(8), rname varchar(255));
SQL_DBASE:myDB
SQL_TABLE:myTable

# String to remove in the hubs names when output to channel
HUB_COMMON:.undernet.org

# Theshold of minimum users when showing map, also used in calculation of position of your server
# if less then this number, consider as a hub.
MAP_THRESHOLD:10

# Every n seconds the bot will give stats about the server in channel, if you are using MRTG
# for your stats, be sure to use 300 seconds or 150 seconds.
# do NOT use less than 60 seconds.!
INFO_TIME:300

# when reached USER_THRESHOLD and TIME_THRESHOLD print users change
USER_THRESHOLD:25
TIME_THRESHOLD:30

# average users/sec more or less (calculated on the sames values as above)
# 100 = 1 sec.
USER_SEC_THRESHOLD:150

# Print only if reached limit of more than value of USER_SEC_THRESHOLD
PRINT_ONLY_WARNING:TRUE

# check for external data, like cpu load of server or anything comming from
# an external file. Please format you data correctly :-P
# DISPLAY_NAME;OPTIONS;CONTENT_TO_DISPLAY
# Options:
#        <+number>   if CONTENT bigger than the number, display
#        <-number>   if CONTENT smaller then the number, display
#        ANY         show it always, like uptimes or CPU.
#EXTERNAL_FILE:/home/testbot/etc/example_external.data
EXTERNAL_FILE:/tmp/genethic.log

# Prohibit OPER Trials
OPER_FAIL_CHECK:TRUE
# number of fails until action is taken (only user@host is stored to match the user)
# 1 = after one trial, action is taken
OPER_FAIL_MAX:2
# When reached the MAX fails, what action do we take?
# It may be KILL or LGLINE (if enabled on the server)
OPER_FAIL_ACTION:LGLINE
OPER_FAIL_GLINE_TIME:180
OPER_FAIL_WARNING:You do NOT have the right to use that command. Your details have been logged.
OPER_FAIL_ACTION_REASON:Abuse of OPER command. You will be banned from this server for 3 minutes.

# logging misconfigured DNS
LOG_MISDNS:FALSE
LOGFILE_MISDNS:/home/genethic/var/dnserr.log

# DEBUGGING 0=none 1=yes
DEBUG:0
DEBUG_SQL:0
DEBUG_HIDE_CONNECT:1
DEBUG_HIDE_WHO:1
DEBUG_FILE:/home/genethic/var/debug.log

# Will gline users if the number of users with the same RNAME exceeds this value
RNAME_LIMIT:15

# how much time we gline those users (in seconds)
RNAME_GLINE_TIME:86400

# Those RealName will NEVER be glined!
# the list separator is ',' you may use regexp
# example: RNAME_WHITE_LIST:x,-=- HackEd by .*,.*fuck.*
RNAME_WHITE_LIST:x,\.,none,xxx,.*to lame to read BitchX.*,No Info,\*,ask,.*www,irccap,net.*,...,me,a,-,\?
